net.sf.jasperreports.engine.export.oasis

## Class JROpenDocumentExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature
  Direct Known Subclasses:
    JROdtExporterNature

      public abstract class JROpenDocumentExporterNature
      extends AbstractExporterNature

  Version:
    $Id: JROpenDocumentExporterNature.java 7042 2014-04-24 10:54:02Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROpenDocumentExporterNature(ExporterFilter filter)` Deprecated. Replaced by `JROpenDocumentExporterNature(JasperReportsContext, ExporterFilter)`.
    `JROpenDocumentExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBreakAfterRow(JRPrintElement element)`
    `boolean` | `isBreakBeforeRow(JRPrintElement element)`
    `boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
    `boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
    `boolean` | `isIgnoreLastRow()`
    `boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
    `boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
    `boolean` | `isToExport(JRPrintElement element)`
    `void` | `setXProperties(CutsInfo xCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties, JRPrintElement element)`
    `void` | `setYProperties(CutsInfo yCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties, JRPrintElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JROpenDocumentExporterNature

          public JROpenDocumentExporterNature(ExporterFilter filter)

      Deprecated. Replaced by `JROpenDocumentExporterNature(JasperReportsContext, ExporterFilter)`.

    - #### JROpenDocumentExporterNature

          public JROpenDocumentExporterNature(JasperReportsContext jasperReportsContext,
                                      ExporterFilter filter)

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

    - #### isDeep

          public boolean isDeep(JRPrintFrame frame)

      Description copied from interface: `ExporterNature`
      Specified whether to include in the grid sub elements of a given `frame` element.

    - #### isSpanCells

          public boolean isSpanCells()

      Description copied from interface: `ExporterNature`
      Specifies whether the exporter handles cells span

    - #### isIgnoreLastRow

          public boolean isIgnoreLastRow()

    - #### isHorizontallyMergeEmptyCells

          public boolean isHorizontallyMergeEmptyCells()

      Description copied from interface: `ExporterNature`
      Flag that specifies that empty cells are to be horizontally merged.

      If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

      Returns:
        whether empty cells are to be horizontally merged

    - #### isIgnorePageMargins

          public boolean isIgnorePageMargins()

      Specifies whether empty page margins should be ignored

    - #### isBreakBeforeRow

          public boolean isBreakBeforeRow(JRPrintElement element)

    - #### isBreakAfterRow

          public boolean isBreakAfterRow(JRPrintElement element)

    - #### setXProperties

          public void setXProperties(CutsInfo xCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setXProperties` in interface `ExporterNature`
      Overrides:
        `setXProperties` in class `AbstractExporterNature`

    - #### setXProperties

          public void setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setXProperties` in interface `ExporterNature`
      Overrides:
        `setXProperties` in class `AbstractExporterNature`

    - #### setYProperties

          public void setYProperties(CutsInfo yCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setYProperties` in interface `ExporterNature`
      Overrides:
        `setYProperties` in class `AbstractExporterNature`

    - #### setYProperties

          public void setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setYProperties` in interface `ExporterNature`
      Overrides:
        `setYProperties` in class `AbstractExporterNature`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com